#ifndef EVENTS_H
#define EVENTS_H

#define FRAME_INTERVAL 100

typedef enum {KEY_FORWARD = 0,
	      KEY_BACKWARD,
	      KEY_STRAFE_LEFT,
	      KEY_STRAFE_RIGHT,
	      KEY_ROTATE_LEFT,
	      KEY_ROTATE_RIGHT,
	      KEY_PITCH_UP,
	      KEY_PITCH_DOWN,
	      KEY_MAX} KEYS;

/* Execute a single step of the visualiser. Provided for situations
 * where two event loops may conflict. Returns 0 if it's time to quit.
 */
extern int AnugaVis_Step(void);

/* Run the visualiser until the user quits.
 */
extern void AnugaVis_Run(void);

#endif
