#ifndef VECTOR_H
#define VECTOR_H

typedef float vector[3];
/* Useful vector operations. */
extern void vadd(const vector v1, const vector v2, vector result);
extern float vlen(const vector v);
extern void vscale(const vector v, const float scale, vector result);
extern void vsub(const vector v1, const vector v2, vector result);
extern float vdot(const vector v1, const vector v2);
extern void vcross(const vector v1, const vector v2, vector result);

#endif
